Update Patient Insurance
Queue an update to an existing patient insurance record in eClinicalWorks.
This endpoint queues an asynchronous update for an existing patient insurance record.Documentation Index
Fetch the complete documentation index at: https://docs.usecobalt.com/llms.txt
Use this file to discover all available pages before exploring further.
eClinicalWorks only.Identifying The Insurance To Update
Use the EMR insurance record ID. You can get it from either:POST /v1/patients/fetchwithinclude: ["insurances"]- the
emr_insurance_idreturned in a priorpatient.insurance.addedorpatient.insurance.updatedwebhook
insurances[].emr_insurance_id.
Provider Resolution
The API supports the same insurance provider resolution options as insurance create:insurance_provider_idinsurance_name+insurance_payer_idinsurance_name
insurance_payer_id alone is not supported. If you request a carrier change for eClinicalWorks, the resolved insurance provider must have an eCW ehrId configured or the request will be rejected.Validation Rules
- All request body fields are optional. Omitted fields are preserved from the current EMR insurance record.
emr_insurance_idis required in the URL path.- For
eClinicalWorks, if you sendsubscriber_demographics, it must includefirst_nameandlast_name. - For
eClinicalWorks, ifrelationship_to_subscriberis a non-self value such asspouse,child, orother,subscriber_demographics.first_nameandsubscriber_demographics.last_nameare required. plan_begin_date, when provided, must be inYYYY-MM-DDformat.
Discover The Record ID First
Example Requests
Update A Few Insurance Fields
Change To A Non-Self Subscriber
Change The Carrier
Example Response
Webhook Events
Success Event (patient.insurance.updated)
Failure Event (patient.insurance.failed)
Authorizations
Path Parameters
The Medical Record Number (MRN) of the patient in the EMR system
EMR insurance record ID. This is returned as emr_insurance_id in live fetch and create/update success webhook responses.
Body
Insurance member/policy ID
"MEM123456789"
Insurance group number
"GRP98999"
Cobalt insurance provider ID. Use GET /v1/insurance-providers to retrieve valid IDs.
"insurance-provider-123"
Insurance company name
"Blue Cross Anthem"
Insurance payer ID. Must be combined with insurance_name.
"98999"
Insurance coverage start date in YYYY-MM-DD format
^\d{4}-\d{2}-\d{2}$"2026-01-01"
Copayment amount in dollars
x >= 025
Patient's relationship to insurance subscriber. For eClinicalWorks, non-self values require subscriber_demographics.first_name and subscriber_demographics.last_name.
"self"
Updated insurance subscriber demographics. For eClinicalWorks, if this object is provided it must include first_name and last_name.